Skip to main content

Using Windows XP, I just installed a version of CambridgeSoft software less than version 7.0. Now when I launch Chem3D or ChemFinder, I am prompted for codes and my codes don't work.

Comments

0 comments

Article is closed for comments.